Low CentOS xorg-x11-server Update

Metadata

low
unknown
xorg-x11-server-1.10.6-1.el6.centos.src.rpm, xorg-x11-server-Xdmx-1.10.6-1.el6.centos.i686.rpm, xorg-x11-server-Xdmx-1.10.6-1.el6.centos.x86_64.rpm, xorg-x11-server-Xephyr-1.10.6-1.el6.centos.i686.rpm, xorg-x11-server-Xephyr-1.10.6-1.el6.centos.x86_64.rpm, xorg-x11-server-Xnest-1.10.6-1.el6.centos.i686.rpm, xorg-x11-server-Xnest-1.10.6-1.el6.centos.x86_64.rpm, xorg-x11-server-Xorg-1.10.6-1.el6.centos.i686.rpm, xorg-x11-server-Xorg-1.10.6-1.el6.centos.x86_64.rpm, xorg-x11-server-Xvfb-1.10.6-1.el6.centos.i686.rpm, xorg-x11-server-Xvfb-1.10.6-1.el6.centos.x86_64.rpm, xorg-x11-server-common-1.10.6-1.el6.centos.i686.rpm, xorg-x11-server-common-1.10.6-1.el6.centos.x86_64.rpm, xorg-x11-server-devel-1.10.6-1.el6.centos.i686.rpm, xorg-x11-server-devel-1.10.6-1.el6.centos.x86_64.rpm, xorg-x11-server-source-1.10.6-1.el6.centos.noarch.rpm
rhn.redhat.com, lists.centos.org
2012-07-10
2017-07-27 20:03
2017-07-27 19:03
2017-04-01 19:06
2017-01-05 20:10

Description


Updated xorg-x11-server packages that fix two security issues and several
bugs are now available for Red Hat Enterprise Linux 6.

The Red Hat Security Response Team has rated this update as having low
security impact. Common Vulnerability Scoring System (CVSS) base scores,
which give detailed severity ratings, are available for each vulnerability
from the CVE links in the References section.

X.Org is an open source implementation of the X Window System. It provides
the basic low-level functionality that full-fledged graphical user
interfaces are designed upon.

A flaw was found in the way the X.Org server handled lock files. A local
user with access to the system console could use this flaw to determine the
existence of a file in a directory not accessible to the user, via a
symbolic link attack. (CVE-2011-4028)

A race condition was found in the way the X.Org server managed temporary
lock files. A local attacker could use this flaw to perform a symbolic link
attack, allowing them to make an arbitrary file world readable, leading to
the disclosure of sensitive information. (CVE-2011-4029)

Red Hat would like to thank the researcher with the nickname vladz for
reporting these issues.

This update also fixes the following bugs:

* Prior to this update, the KDE Display Manager (KDM) could pass invalid
24bpp pixmap formats to the X server. As a consequence, the X server could
unexpectedly abort. This update modifies the underlying code to pass the
correct formats. (BZ#651934, BZ#722860)

* Prior to this update, absolute input devices, like the stylus of a
graphic tablet, could become unresponsive in the right-most or bottom-most
screen if the X server was configured as a multi-screen setup through
multiple "Device" sections in the xorg.conf file. This update changes the
screen crossing behavior so that absolute devices are always mapped across
all screens. (BZ#732467)

* Prior to this update, the misleading message "Session active, not
inhibited, screen idle. If you see this test, your display server is broken
and you should notify your distributor." could be displayed after resuming
the system or re-enabling the display, and included a URL to an external
web page. This update removes this message. (BZ#748704)

* Prior to this update, the erroneous input handling code of the Xephyr
server disabled screens on a screen crossing event. The focus was only on
the screen where the mouse was located and only this screen was updated
when the Xephyr nested X server was configured in a multi-screen setup.
This update removes this code and Xephyr now correctly updates screens in
multi-screen setups. (BZ#757792)

* Prior to this update, raw events did not contain relative axis values. As
a consequence, clients which relied on relative values for functioning did
not behave as expected. This update sets the values to the original driver
values instead of the already transformed values. Now, raw events contain
relative axis values as expected. (BZ#805377)

All users of xorg-x11-server are advised to upgrade to these updated
packages, which correct these issues. All running X.Org server instances
must be restarted for this update to take effect.
Please see https://www.redhat.com/footer/terms-of-use.html

Am I vulnerable?

The constraints below list the versions that this vulnerability is patched in, and versions that are unaffected. If a patch is ready but unrealeased, then it is pending.

Or, you can just let us figure it out for you! Appcanary continously monitor your installed packages, and tell you if any of them are vulnerable.

Sign up for monitoring

Affected package information

Release Package Patched in
6 xorg-x11-server xorg-x11-server-1.10.6-1.el6.centos.src.rpm
xorg-x11-server-common xorg-x11-server-common-1.10.6-1.el6.centos.i686.rpm
xorg-x11-server-common xorg-x11-server-common-1.10.6-1.el6.centos.x86_64.rpm
xorg-x11-server-devel xorg-x11-server-devel-1.10.6-1.el6.centos.x86_64.rpm
xorg-x11-server-devel xorg-x11-server-devel-1.10.6-1.el6.centos.i686.rpm
xorg-x11-server-source xorg-x11-server-source-1.10.6-1.el6.centos.noarch.rpm
xorg-x11-server-Xdmx xorg-x11-server-Xdmx-1.10.6-1.el6.centos.i686.rpm
xorg-x11-server-Xdmx xorg-x11-server-Xdmx-1.10.6-1.el6.centos.x86_64.rpm
xorg-x11-server-Xephyr xorg-x11-server-Xephyr-1.10.6-1.el6.centos.x86_64.rpm
xorg-x11-server-Xephyr xorg-x11-server-Xephyr-1.10.6-1.el6.centos.i686.rpm
xorg-x11-server-Xnest xorg-x11-server-Xnest-1.10.6-1.el6.centos.i686.rpm
xorg-x11-server-Xnest xorg-x11-server-Xnest-1.10.6-1.el6.centos.x86_64.rpm
xorg-x11-server-Xorg xorg-x11-server-Xorg-1.10.6-1.el6.centos.x86_64.rpm
xorg-x11-server-Xorg xorg-x11-server-Xorg-1.10.6-1.el6.centos.i686.rpm
xorg-x11-server-Xvfb xorg-x11-server-Xvfb-1.10.6-1.el6.centos.x86_64.rpm
xorg-x11-server-Xvfb xorg-x11-server-Xvfb-1.10.6-1.el6.centos.i686.rpm